Subject: Re: [PATCH net 3/3] bnxt_en: Restore PTP tx_avail count in case of skb_pad() error

From: Simon Horman <[email-masked]>
Date: Wed, 19 Jun 2024 21:04:38 +0100

On Wed, Jun 19, 2024 at 09:02:53PM +0100, Simon Horman wrote:
> On Tue, Jun 18, 2024 at 02:53:13PM -0700, Michael Chan wrote:
> > From: Pavan Chebbi <[email-masked]>
> > 
> > The current code only restores PTP tx_avail count when we get DMA
> > mapping errors.  Fix it so that the PTP tx_avail count will be
> > restored for both DMA mapping errors and skb_pad() errors.
> > Otherwise PTP TX timestamp will not be available after a PTP
> > packet hits the skb_pad() error.
> > 
> > Fixes: 83bb623c968e ("bnxt_en: Transmit and retrieve packet timestamps"

Sorry, I missed that the Fixes tag is truncated.

Fixes: 83bb623c968e ("bnxt_en: Transmit and retrieve packet timestamps")

...